Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.maildiver.com/v1/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maildiver.com/v1/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maildiver.com/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emails": [
{
"id": "0195c9e3-5067-741d-be87-a4f75ef93372",
"type": "transactional",
"to": [
"recipient@company.com"
],
"subject": "Your Order Confirmation #12345",
"last_event": {
"recipient": "recipient@company.com",
"processing_time_millis": 1114,
"reporting_mta": "b224-18.smtp-out.eu-central-1.amazonses.com",
"smtp_response": "250 2.0.0 OK 1742843424 ffacd0b85a97d-3997f97d977si6557456f8f.132 - gsmtp",
"status": "delivered",
"timestamp": 1742843424147
},
"email_sent_timestamp": 1742843423033,
"recipient_statuses": [
{
"recipient": "recipient@company.com",
"status": "delivered",
"timestamp": 1742843424147
}
]
},
{
"id": "0195c413-4e53-77c8-bb52-35087d60e50e",
"type": "broadcast",
"to": [
"recipient@company.com"
],
"subject": "Monthly Newsletter - March 2024",
"last_event": {
"recipient": "recipient@company.com",
"type": "Permanent",
"subtype": "General",
"status": "bounced",
"timestamp": 1742751354893
},
"email_sent_timestamp": 1742751354368,
"recipient_statuses": [
{
"recipient": "recipient@company.com",
"status": "bounced",
"timestamp": 1742751354893,
"type": "Permanent",
"subtype": "General"
}
]
}
],
"count": 50,
"cursor": "0195c413-3fe1-779d-804e-f5f9bd8cd523"
}Endpoint: v1/emails
List all emails with pagination support. Returns 50 emails per page.
API key with format "Bearer {your-api-key}"
Pagination cursor. If there are more than 50 emails, this cursor will be returned in the response. Use this cursor in the next request to get the next page of results.
OK
Was this page helpful?